Debian Bug report logs - #551506
ttf-beteckna: Hints do not match the installed files

version graph

Package: ttf-beteckna; Maintainer for ttf-beteckna is Gürkan Sengün <gurkan@phys.ethz.ch>; Source for ttf-beteckna is src:fonts-beteckna.

Reported by: Jakob Bohm <yawwuddeiboyoamyan@jbohm.dk>

Date: Sun, 18 Oct 2009 18:15:01 UTC

Severity: grave

Tags: patch

Found in version ttf-beteckna/0.2-2

Fixed in versions ttf-beteckna/0.4-2, ttf-beteckna/0.2-2lenny1

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#551506; Package ttf-beteckna. (Sun, 18 Oct 2009 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakob Bohm <yawwuddeiboyoamyan@jbohm.dk>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Sun, 18 Oct 2009 18:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakob Bohm <yawwuddeiboyoamyan@jbohm.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ttf-beteckna: Hints do not match the installed files
Date: Sun, 18 Oct 2009 20:05:55 +0200
[Message part 1 (text/plain, inline)]
Package: ttf-beteckna
Version: 0.2-2
Severity: grave
Tags: patch
Justification: renders package unusable

/etc/defoma/hints/t1-betecna.hints tells the rest of Debian to
look for the installed fonts in
/usr/share/fonts/truetype/ttf-beteckna/, but they are actually
installed in /usr/share/fonts/truetype/beteckna/ .  Furthermore,
the font variants BetecknaSmallCaps.ttf and Beteckna.ttf are
listed in this hints file even though ther are not actually
included in the package.

Because Debian packages are supposed to believe defoma when looking for
fonts, policy compliant packages will not be able to use the package
at all until this is fixed.

I have attached a simplistic patch for the broken hints file.

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31jbj3.4-43 (SMP w/4 CPU cores)
Locale: LANG=en_DK.UTF-8, LC_CTYPE=en_DK.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- no debconf information
[ttf-beteckna.hints.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#551506; Package ttf-beteckna. (Sat, 28 Nov 2009 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Sat, 28 Nov 2009 15:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 551506@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Jakob Bohm <yawwuddeiboyoamyan@jbohm.dk>, 551506@bugs.debian.org
Subject: Re: Bug#551506: ttf-beteckna: Hints do not match the installed files
Date: Sat, 28 Nov 2009 16:12:38 +0100
[Message part 1 (text/plain, inline)]
On Sun, 18 Oct 2009 20:05:55 +0200, Jakob Bohm wrote:

> /etc/defoma/hints/t1-betecna.hints tells the rest of Debian to
> look for the installed fonts in
> /usr/share/fonts/truetype/ttf-beteckna/, but they are actually
> installed in /usr/share/fonts/truetype/beteckna/ .  Furthermore,
> the font variants BetecknaSmallCaps.ttf and Beteckna.ttf are
> listed in this hints file even though ther are not actually
> included in the package.

The situation with 0.4 is a bit different: the hints file doesn't get
installed at all, and there are even less *.ttf files in the package;
I'm not sure if on purpose or by accident.

I'm attaching a debdiff which probably improves the situation, but
I'd appreciate some comments from someone understanding defoma and
TTFs before I do an NMU.

Cheers,
gregor, from the Munich BSP

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #159:  Stubborn processes 
[551506.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
You have taken responsibility. (Thu, 03 Dec 2009 10:42:05 GMT) Full text and rfc822 format available.

Notification sent to Jakob Bohm <yawwuddeiboyoamyan@jbohm.dk>:
Bug acknowledged by developer. (Thu, 03 Dec 2009 10:42:05 GMT) Full text and rfc822 format available.

Message #15 received at 551506-close@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: 551506-close@bugs.debian.org
Subject: Bug#551506: fixed in ttf-beteckna 0.4-2
Date: Thu, 03 Dec 2009 10:36:58 +0000
Source: ttf-beteckna
Source-Version: 0.4-2

We believe that the bug you reported is fixed in the latest version of
ttf-beteckna, which is due to be installed in the Debian FTP archive:

ttf-beteckna_0.4-2.diff.gz
  to main/t/ttf-beteckna/ttf-beteckna_0.4-2.diff.gz
ttf-beteckna_0.4-2.dsc
  to main/t/ttf-beteckna/ttf-beteckna_0.4-2.dsc
ttf-beteckna_0.4-2_all.deb
  to main/t/ttf-beteckna/ttf-beteckna_0.4-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 551506@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gürkan Sengün <gurkan@phys.ethz.ch> (supplier of updated ttf-beteckna package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 03 Dec 2009 09:17:20 +0100
Source: ttf-beteckna
Binary: ttf-beteckna
Architecture: source all
Version: 0.4-2
Distribution: unstable
Urgency: low
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Changed-By: Gürkan Sengün <gurkan@phys.ethz.ch>
Description: 
 ttf-beteckna - TrueType font called Beteckna
Closes: 551506
Changes: 
 ttf-beteckna (0.4-2) unstable; urgency=low
 .
   * Apply patches of Gregor Herrmann, thanks. (Closes: #551506)
   * Bump standards version.
 .
   [ Gregor Herrmann ]
   * Fix "Hints do not match the installed files" by applying patch by Jakob
     Bohm, adjusted for the 0.4 release.
   * Install hints file by calling dh_installdefoma in debian/rules.
   * debian/rules: clean up targets and dependencies, running the build once is
     enough.
Checksums-Sha1: 
 a2e164b46a83f2f54805415916a4035737f64196 1082 ttf-beteckna_0.4-2.dsc
 5fd4510ae92497d57f00c1ad9a1968fa6d81b1a1 2423 ttf-beteckna_0.4-2.diff.gz
 774f45abe5d61f420a863a078e5f719103cc3654 45146 ttf-beteckna_0.4-2_all.deb
Checksums-Sha256: 
 6fd39039fd1bfeb586425c913d0fc269b30726f94fd00740ff03da75ae18f2a2 1082 ttf-beteckna_0.4-2.dsc
 c3fcafeca00432cb34e5f6af396c0e992bda88fa7b3accd5e926bb18b064e2c5 2423 ttf-beteckna_0.4-2.diff.gz
 a1198d543d5741eb7c511dbd6ad34eedc5e9ee9572fd3afbfd8504fcfb7f17ed 45146 ttf-beteckna_0.4-2_all.deb
Files: 
 6bb70064d38f331bc8c3029a40fee2c9 1082 x11 optional ttf-beteckna_0.4-2.dsc
 3369c6015021831df6e1b655228f1823 2423 x11 optional ttf-beteckna_0.4-2.diff.gz
 0e9feced14609d49c8c6c0cef6b2226f 45146 x11 optional ttf-beteckna_0.4-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLF5IMUHLQNqxYNSARAsN3AJ4gC7gZiToqblhRb6hq7RJMWRepGwCeMVFP
YyrpDJ9p66GV4xyZR9fMYpg=
=Eclj
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from bubulle@alioth.debian.org to control@bugs.debian.org. (Thu, 02 Sep 2010 17:48:03 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Sun, 05 Sep 2010 14:03:03 GMT) Full text and rfc822 format available.

Notification sent to Jakob Bohm <yawwuddeiboyoamyan@jbohm.dk>:
Bug acknowledged by developer. (Sun, 05 Sep 2010 14:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 551506-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 551506-close@bugs.debian.org
Subject: Bug#551506: fixed in ttf-beteckna 0.2-2lenny1
Date: Sun, 05 Sep 2010 14:00:56 +0000
Source: ttf-beteckna
Source-Version: 0.2-2lenny1

We believe that the bug you reported is fixed in the latest version of
ttf-beteckna, which is due to be installed in the Debian FTP archive:

ttf-beteckna_0.2-2lenny1.diff.gz
  to main/t/ttf-beteckna/ttf-beteckna_0.2-2lenny1.diff.gz
ttf-beteckna_0.2-2lenny1.dsc
  to main/t/ttf-beteckna/ttf-beteckna_0.2-2lenny1.dsc
ttf-beteckna_0.2-2lenny1_all.deb
  to main/t/ttf-beteckna/ttf-beteckna_0.2-2lenny1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 551506@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated ttf-beteckna package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 02 Sep 2010 20:27:48 +0200
Source: ttf-beteckna
Binary: ttf-beteckna
Architecture: source all
Version: 0.2-2lenny1
Distribution: stable-proposed-updates
Urgency: low
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 ttf-beteckna - TrueType font called Beteckna
Closes: 551506
Changes: 
 ttf-beteckna (0.2-2lenny1) stable-proposed-updates; urgency=low
 .
   * Team upload
   * Move package under pkg-fonts team maintenance
   * Fix "Hints do not match the installed files" by applying patch by
     Jakob Bohm. Closes: #551506
Checksums-Sha1: 
 f4f0d7936775765265248e13111cd8589d2c996b 1196 ttf-beteckna_0.2-2lenny1.dsc
 663c32cb796c04f1b59d1248b5601780d7627952 2665 ttf-beteckna_0.2-2lenny1.diff.gz
 22ed008887aabf54a6d966c2d6989d57a71cff36 67782 ttf-beteckna_0.2-2lenny1_all.deb
Checksums-Sha256: 
 ef5ba7f6ab40d6daa715631d14d408c94fd135c445d6e23d726e2920c933d085 1196 ttf-beteckna_0.2-2lenny1.dsc
 9819094f5585e2c7eac6deb9413e130269e428fffd4cf8c3bc24c546672b7ccb 2665 ttf-beteckna_0.2-2lenny1.diff.gz
 b99746e3350a5eca3abd449ed62f71924fee32c3da44818d8b35da9722d38eac 67782 ttf-beteckna_0.2-2lenny1_all.deb
Files: 
 b7b0619c963851fcbc0e03dbdcda4dcc 1196 x11 optional ttf-beteckna_0.2-2lenny1.dsc
 a0c2183f4710fffe1d87a67d81d51c69 2665 x11 optional ttf-beteckna_0.2-2lenny1.diff.gz
 42bc05ef63f13b13d27919c86a58354b 67782 x11 optional ttf-beteckna_0.2-2lenny1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMf/Oq1OXtrMAUPS0RAu1iAJ9JhZIzXnN2M34j1kH8rAS4o01oHgCcDFi8
sRfpSbwnDjl+D8X030+pYfY=
=0wdd
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Nov 2010 07:29:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:33:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.